Page MenuHomePhabricator

Inform users about changes in PDF rendering service - print to PDF page
Closed, ResolvedPublic2 Story Points

Description

Goal:
Inform users about changes in PDF rendering service

Proposal:
Add a banner with relevant information and collect feedback about the change using a call to action

Background:
we want to make sure that we're getting the right audience for the conversation around sunsetting OCG and identifying requirements for Electron here: https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality
We would like to add banners directly to the pages this functionality will affect - download as PDF page (electronPDF extension)

Text (single-render PDF):
We're having significant problems with the function we currently use to create PDFs. We unfortunately have to replace it. We are testing the new version of the service below (single-column layout). Please help us find bugs or missing functionality. If you notice any bugs or would like to leave any other feedback, please visit the project page here: https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality

Mockup for single pdf download


https://zpl.io/2fJCiq
Note: final text in task description, not mockup

Acceptance criteria:

Developer notes

  • Use the .warningbox styles in core for consistency
  • A separate task can be created if necessary to add a close icon and exclamation mark

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2017, 9:33 AM
ovasileva triaged this task as High priority.May 21 2017, 9:33 AM
ovasileva updated the task description. (Show Details)May 21 2017, 10:39 AM
ovasileva added a subscriber: Johan.
Nirzar renamed this task from Add banner to Download as PDF and Create a Book pages to Inform users about changes in PDF rendering service.May 21 2017, 11:20 AM
Nirzar updated the task description. (Show Details)
Nirzar updated the task description. (Show Details)May 21 2017, 11:41 AM
ovasileva updated the task description. (Show Details)
Johan added a comment.May 22 2017, 1:49 PM

Something like this? I'm trying to

a) Simplify the language, but for non-technical readers and non-native speakers.
b) Stress the fact that we're doing this because we have to, not just that we've found a new feature we think would be better, to steer the conversation towards what we need to do, and hopefully less towards "but why?".

We're having significant problems with the function we currently use to create PDFs. We unfortunately have to replace it. We are testing the new version of the service below (single-column layout). Please help us find bugs or missing functionality. If you notice any bugs or would like to leave any other feedback, please visit the project page here: https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality

We're having significant problems with the function we currently use to create PDFs. We unfortunately have to replace it. This might affect the styling and feature set of Books. We would like to invite you to a conversation around the functionality necessary in the proposed replacement. For feedback, please visit the project page here: https://www.mediawiki.org/wiki/Reading/Web/PDF_Functionality

Edit as necessary.

@Johan - thank you! I think your rewording sounds good.

ovasileva updated the task description. (Show Details)May 23 2017, 12:14 PM
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)
ovasileva updated the task description. (Show Details)May 23 2017, 4:14 PM

To split up into separate tasks for each extension. @Nirzar - the team noted that there might be warning box styles already - should we use those to be consistent?

ovasileva renamed this task from Inform users about changes in PDF rendering service to Inform users about changes in PDF rendering service - print to PDF page.May 30 2017, 2:52 PM
ovasileva updated the task description. (Show Details)May 30 2017, 2:55 PM
ovasileva updated the task description. (Show Details)May 30 2017, 4:20 PM
ovasileva set the point value for this task to 2.
Jdlrobson added subscribers: Volker_E, Jdlrobson.

@ovasileva to add URLS to the links in the warning box.
@Nirzar we're not deviating from the styles in mediawiki for this as we do not want to create inconsistency and tech debt.
@Volker_E and you should talk about changing all the warning box styles to look like this in a separate task. It looks nice.

pmiazga claimed this task.Jun 1 2017, 4:18 PM

Change 356776 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/ElectronPdfService@master] Add warning message to Special:ElectronPdf

https://gerrit.wikimedia.org/r/356776

Johan moved this task from To Triage to In current Tech/News draft on the User-notice board.
bmansurov added a subscriber: bmansurov.

To Q/A visit https://en.wikipedia.beta.wmflabs.org/wiki/Main_Page and click on "Download as PDF" from the sidebar and check if you see a warning box at the top of the page.

Change 356776 merged by jenkins-bot:
[mediawiki/extensions/ElectronPdfService@master] Add warning message to Special:ElectronPdf

https://gerrit.wikimedia.org/r/356776

Nirzar added a comment.Jun 6 2017, 4:48 PM

Default warning box should work. I should have used that in the first place. @Volker_E and I can work on making default boxes better.

@ovasileva can we create a subtask for alignment issue with the pdf options control?

This comment was removed by ABorbaWMF.

I am seeing the banner now on Beta.

ovasileva closed this task as Resolved.Jun 7 2017, 10:27 AM

Banner looks good, all done for this one. @Nirzar - alignment task here: T167272: Incorrect alignment on download as PDF page

He7d3r added a subscriber: He7d3r.Jun 13 2017, 5:49 PM